Subject: bug#38692: offload: confusing error when signing keys are missing

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 14 Dec 2022 14:28:16 -0500

Hi,

Ricardo Wurmus <[email-masked]> writes:

> When the target machine has no signing keys (generated with “guix
> archive --generate-key”) the source machine issuing “guix offload test”
> will print this confusing error message:
>
>     guix offload: error: implementation cannot deal with > 32-bit integers

Sadly still true as of 1.4.0rc2.  I'd like to fix it, but it's
intertwined in the guix-daemon C++ code, so it'll need a bit more
effort.

-- 
Thanks,
Maxim